/* Declare keyword page 75 */
/* define date time structure */
Declare 
@holiday As DATE = '2024-12-25', 
@orderqty As int = 120, 
@datevar as DATE = GETDATE(),
@cast1 as int = 2, -- cast as varchar '2'
@cast2 as int = 1

Select @holiday as christmas, ordnum, sldate, qty, @datevar, CAST(@cast1 As varchar) as pos1, CAST(@cast2 as varchar) as pos2
from Sales
where sldate < @holiday and qty < @orderqty

